storage.get = function(key) {
	return window.localStorage.getItem(key);
}

storage.set = function(key, value) {
	window.localStorage.setItem(key, value);
}

storage.clear = function(key) {
	window.localStorage.removeItem(key);
}

storage.blob.get = function(key) {
	return JSON.parse(storage.get(key));
}

storage.blob.set = function(key, blob) {
	storage.set(key, JSON.stringify(blob));
}
