app.ViewModels.advertisement = function(data, state) {
    var self = this;

    self.visible  = ko.observable(false);
    self.linked   = ko.observable(false);
    self.static   = ko.observable(false);
    self.resource = ko.observable();
    self.url      = ko.observable();

    self.redirect = function() {
        window.open(self.url(), "_system");
    }

    // Seed the ad with needed data from the site_blob
    self.seed = function(data) {
        if(data.ads.length == 0) {
            return;
        }

        var ad = data.ads[getRandomInt(0, data.ads.length - 1)];

        // These two values are used to help display the right markup
        self.linked(ad.linked ? true:false);
        self.static(ad.linked ? false:true);

        helper.adAvailable(true);

        // These are used to display the ad, woo
        self.resource(ad.resource);
        self.url(ad.url);
    }

    return self;
}