app.ViewModels.error_panel = function(data, state) {
	var self = this;
	self.template = "error_panel";
	self.message = "Hey, sorry about that. We're experiencing a bit of an error. We're on it, check back in a bit.";

	if(window.device.platform == "iOS") { $('#statusBarColor').show(); }

	if(typeof data !== "undefined" && typeof data.message !== "undefined") {
		self.message = data.message;
	}

	self.refresh = function() {
		// helper.log_out();
		window.location.reload();
	}

	app.loading(false);
	return self;
}
