app.ViewModels.header = function(data, state) {
	var self = this;

    self.name              = ko.observable("");
    self.logo              = ko.observable("");
    self.logo_class        = ko.observable("");
    self.header_logo       = ko.observable("");
    self.header_background = ko.observable("");
    self.style		       = ko.observable("full");
    self.visible           = ko.observable(false);
    self.navVisible        = ko.observable(true);
    self.fixedNavVisible   = ko.observable(false);
    self.fixedNavZ         = ko.observable(0);

    self.button          = {};
    self.button.text     = ko.observable("Back");
    self.button.visible  = ko.observable(false);
    self.button.navigate = function() {
        app.Display(helper.last_page().name);
    };

    // Seed the header with needed data from the site_blob
    self.seed = function(data) {
    	self.name(data.name);
        self.logo(data.style.images.header);
        self.header_logo(data.style.images.header_logo);
        self.header_background(data.style.images.header_background);
        self.logo_class('mobile');
    };

    return self;
};