app.ViewModels.authenticate = function(data, state) {
	var self = this;

	// Override with stored data
	data = storage.blob.get("site_blob");

	self.template = "authenticate";
	self.logo = data.style.images.splash;
	self.logo_class = "splash";
	self.registration_enabled = data.registration_enabled;

	$('#statusBarColor').hide();

	self.navigate = function(model, event) {
		var target = $(event.currentTarget).attr("href");
		app.Display(target);
	}

	setTimeout(function(){
		$doc = $(document);

		$("#auth-content").css({
			height: $doc.height(),
		});
		
		$(".logo.splash", "#auth-content").css({
			height: $doc.height(),
			width: $doc.width(),
			'background-image': 'url("'+self.logo+'")'
		});
		
		app.loading(false);
	}, 10);

	return self;
}