app.ViewModels.genericModal = function() {
  var self = this;

  self.icon = ko.observable();
  self.text = ko.observable('');
  self.wellText = ko.observable('');
  self.submit_button_text = ko.observable('');
  self.submit_additional_class = ko.observable();
  self.skip_button_text = ko.observable('');
  self.func = ko.observable();
  self.skipFunc = ko.observable();
  self.fullScreen = ko.observable(false);
  self.moreScroll = ko.observable(false);

  self.icon_classes = ko.computed(function() { return "fa " + self.icon(); }, self);

  self.modal = ko.observable(app.State.modal);

  // Skipping the question.
  self.skip = function() {
    if(typeof self.skipFunc() == "function") {
      self.skipFunc()();
    }

    else {
      helper.skip[self.func()]();
    }
  };

  // Get the response
  self.submit = function() {
    if(typeof self.func() == "function") {
      self.func()();
    }

    else {
      helper.submit[self.func()]();
    }
  };

	return self;
}

// cordova.plugins.locationManager.requestAlwaysAuthorization(); // request location services