app.ViewModels.register = function(data, state) {
	var self = this;
	self.template = "register";

	if(helper.platform() === "ios") {
		$('#statusBarColor').show();
	}

	$.ajax({
		url: helper.apiEndpoint("registration_form"),
		success: function(ret) {
			$("#registration-container")
				.empty()
				.append(ret)
				.show();

			$(".registration-text a", "#registration-container").attr("target", "_blank");

			Registration.init();

			// iScroll needs to be destroyed, for Registration we are all vanilla scrolling
	        helper.kill_iscroll();
	        $("#main").css({
	        	"overflow": "visible"
	        });

	        $(document.body).off('touchmove');

	        app.loading(false);
		},
		error: function(ret) {
			app.Display("error_panel");
		}
	});

	return self;
}
